package com.trs.web2frame.tool.tyjyh.tonglaozheng;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.listener.PageReadListener;

public class StartExcel3 {

    public static void main(String[] args) {

        EasyExcel.read(ColumnConfig.fileNameccc, DemoData.class, new PageReadListener<DemoData>(dataList -> {
            for (DemoData demoData : dataList) {
                System.out.println(demoData);
                String view = demoData.getView();
                if(view != null && view != ""){
                    if(view.equals("1")){
                        try {
                            ViewMove3 viewMove = new ViewMove3();
                            viewMove.DataZhiXunByChannelAddOrUpdateNoUpdate(demoData.getKpChannelId(),demoData.getHyChannelId());
                            System.out.println("==========================");
                            System.out.println("demoData.getKpChannelId()"+demoData.getKpChannelId());
                            System.out.println("demoData.getHyChannelId()"+demoData.getHyChannelId());
                            System.out.println("==========================");
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }

                }
            }
        })).sheet().doRead();
    }
}
